This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 807252 - (CVE-2012-1586) CVE-2012-1586 samba / cifs-utils: mount.cifs file existence disclosure vulnerability
CVE-2012-1586 samba / cifs-utils: mount.cifs file existence disclosure vulner...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120321,reported=2...
: Security
Depends On: 812782 812783
Blocks: 784298 807254
  Show dependency treegraph
 
Reported: 2012-03-27 07:15 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 00:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-27 07:15:13 EDT
A file existence dislosure flaw was found in the way mount.cifs tool of the Samba SMB/CIFS tools suite performed mount of a Linux CIFS (Common Internet File System) filesystem. A local user, able to mount a remote CIFS share / target to a local directory could use this flaw to confirm (non) existence of a file system object (file, directory or process descriptor) via error messages generated during the mount.cifs tool run.

Upstream bug report:
[1] https://bugzilla.samba.org/show_bug.cgi?id=8821

References:
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665923

CVE request:
[3] http://www.openwall.com/lists/oss-security/2012/03/27/1
Comment 1 Jeff Layton 2012-03-27 08:14:17 EDT
It's not clear to me what the proposed remedy is. Should we just not print
the reason for the chdir() failure?
Comment 2 Kurt Seifried 2012-03-27 12:04:20 EDT
Assigned CVE as per http://www.openwall.com/lists/oss-security/2012/03/27/6
Comment 3 Jeff Layton 2012-03-28 08:19:37 EDT
Note too that this is not a real issue for RHEL as we have (quite wisely)
never shipped mount.cifs as a setuid binary. Customers may change the
perms on it after the fact, but it's not a problem in the default configuration.

Once we have a fix upstream, we may as well take it for RHEL, but I don't
think it's urgent.
Comment 4 Jeff Layton 2012-04-02 09:50:04 EDT
Patch sent upstream. I plan to wait 2-3 days and then commit it if no one comments.

http://article.gmane.org/gmane.linux.kernel.cifs/5854
Comment 10 Huzaifa S. Sidhpurwala 2012-04-16 04:33:04 EDT
Created cifs-utils tracking bugs for this issue

Affects: fedora-all [bug 812783]
Comment 13 Huzaifa S. Sidhpurwala 2012-04-17 01:48:15 EDT
This issue affects the version of samba/samba3x as shipped with Red Hat Enterprise 5 and the version of cifs-utils as shipped with Red Hat Enterprise Linux 6.

mount.cifs has been the subject of many "security" bugs that have arisen because of users and distributions installing it as a setuid root program.

mount.cifs has not been audited for security. Thus, we strongly recommend that it not be installed setuid root.

The version of mount.cifs in Red Hat Enterprise Linux 6, has an improved code quality, as compared with the version in Red Hat Enterprise Linux 5, making it relatively safer (but still very risky) to use it as a setuid root program.

Statement:

This issue affects the version of samba/samba3x as shipped with Red Hat Enterprise Linux 5. This issue is not currently planned to be addressed in future updates.
Comment 14 Fedora Update System 2012-04-30 20:52:10 EDT
cifs-utils-5.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-04-30 20:56:33 EDT
cifs-utils-5.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-05-02 00:47:32 EDT
cifs-utils-5.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 errata-xmlrpc 2012-06-20 03:28:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0902 https://rhn.redhat.com/errata/RHSA-2012-0902.html

Note You need to log in before you can comment on or make changes to this bug.